> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare Page Update



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/seo-native-create/{revision_id}/page-update/prepare
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/seo-native-create/{revision_id}/page-update/prepare:
    post:
      tags:
        - SEO and Content Create
      summary: Prepare Page Update
      operationId: >-
        prepare_page_update_api_v1_brands__brand_id__brand_intelligence_seo_native_create__revision_id__page_update_prepare_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: revision_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Revision Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NativeCreatePageUpdatePrepareRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NativeCreatePageUpdatePreviewResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NativeCreatePageUpdatePrepareRequest:
      properties:
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        destinationId:
          type: string
          format: uuid
          title: Destinationid
        idempotencyKey:
          type: string
          maxLength: 128
          minLength: 1
          title: Idempotencykey
        targetSelector:
          oneOf:
            - $ref: '#/components/schemas/NativeCreateWordPressPageSelector'
            - $ref: '#/components/schemas/NativeCreateKeystaticPageSelector'
          title: Targetselector
          discriminator:
            propertyName: provider
            mapping:
              keystatic:
                $ref: '#/components/schemas/NativeCreateKeystaticPageSelector'
              wordpress:
                $ref: '#/components/schemas/NativeCreateWordPressPageSelector'
      additionalProperties: false
      type: object
      required:
        - revisionId
        - destinationId
        - idempotencyKey
        - targetSelector
      title: NativeCreatePageUpdatePrepareRequest
    NativeCreatePageUpdatePreviewResponse:
      properties:
        updateTarget:
          oneOf:
            - $ref: '#/components/schemas/NativeCreateWordPressPageUpdateTarget'
            - $ref: '#/components/schemas/NativeCreateKeystaticPageUpdateTarget'
          title: Updatetarget
          discriminator:
            propertyName: provider
            mapping:
              keystatic:
                $ref: '#/components/schemas/NativeCreateKeystaticPageUpdateTarget'
              wordpress:
                $ref: '#/components/schemas/NativeCreateWordPressPageUpdateTarget'
        operation:
          type: string
          enum:
            - update_page
            - create_review_draft
          title: Operation
          default: update_page
        guidance:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Guidance
        available:
          type: boolean
          title: Available
        supported:
          type: boolean
          title: Supported
        unavailableReason:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Unavailablereason
        proposedTitle:
          type: string
          maxLength: 500
          minLength: 1
          title: Proposedtitle
        proposedBody:
          type: string
          maxLength: 200000
          minLength: 1
          title: Proposedbody
      additionalProperties: false
      type: object
      required:
        - updateTarget
        - available
        - supported
        - proposedTitle
        - proposedBody
      title: NativeCreatePageUpdatePreviewResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NativeCreateWordPressPageSelector:
      properties:
        provider:
          type: string
          const: wordpress
          title: Provider
        postType:
          type: string
          enum:
            - posts
            - pages
          title: Posttype
        postId:
          type: integer
          minimum: 1
          title: Postid
      additionalProperties: false
      type: object
      required:
        - provider
        - postType
        - postId
      title: NativeCreateWordPressPageSelector
    NativeCreateKeystaticPageSelector:
      properties:
        provider:
          type: string
          const: keystatic
          title: Provider
        path:
          type: string
          maxLength: 1024
          minLength: 1
          title: Path
      additionalProperties: false
      type: object
      required:
        - provider
        - path
      title: NativeCreateKeystaticPageSelector
    NativeCreateWordPressPageUpdateTarget:
      properties:
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        destinationId:
          type: string
          format: uuid
          title: Destinationid
        sourcePageRef:
          $ref: '#/components/schemas/OwnedPageRevisionRef'
        canonicalUrl:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Canonicalurl
        currentTitle:
          type: string
          maxLength: 500
          title: Currenttitle
        currentBody:
          type: string
          maxLength: 200000
          title: Currentbody
        currentContentSha256:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Currentcontentsha256
        preparedAt:
          type: string
          format: date-time
          title: Preparedat
        expiresAt:
          type: string
          format: date-time
          title: Expiresat
        proof:
          type: string
          maxLength: 4096
          minLength: 1
          title: Proof
        provider:
          type: string
          const: wordpress
          title: Provider
        postType:
          type: string
          enum:
            - posts
            - pages
          title: Posttype
        postId:
          type: integer
          minimum: 1
          title: Postid
        modifiedGmt:
          type: string
          maxLength: 100
          minLength: 1
          title: Modifiedgmt
      additionalProperties: false
      type: object
      required:
        - revisionId
        - destinationId
        - sourcePageRef
        - canonicalUrl
        - currentTitle
        - currentBody
        - currentContentSha256
        - preparedAt
        - expiresAt
        - proof
        - provider
        - postType
        - postId
        - modifiedGmt
      title: NativeCreateWordPressPageUpdateTarget
    NativeCreateKeystaticPageUpdateTarget:
      properties:
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        destinationId:
          type: string
          format: uuid
          title: Destinationid
        sourcePageRef:
          $ref: '#/components/schemas/OwnedPageRevisionRef'
        canonicalUrl:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Canonicalurl
        currentTitle:
          type: string
          maxLength: 500
          title: Currenttitle
        currentBody:
          type: string
          maxLength: 200000
          title: Currentbody
        currentContentSha256:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Currentcontentsha256
        preparedAt:
          type: string
          format: date-time
          title: Preparedat
        expiresAt:
          type: string
          format: date-time
          title: Expiresat
        proof:
          type: string
          maxLength: 4096
          minLength: 1
          title: Proof
        provider:
          type: string
          const: keystatic
          title: Provider
        repo:
          type: string
          maxLength: 300
          minLength: 3
          title: Repo
        branch:
          type: string
          maxLength: 255
          minLength: 1
          title: Branch
        path:
          type: string
          maxLength: 1024
          minLength: 1
          title: Path
        blobSha:
          type: string
          pattern: ^[0-9a-f]{40}$
          title: Blobsha
      additionalProperties: false
      type: object
      required:
        - revisionId
        - destinationId
        - sourcePageRef
        - canonicalUrl
        - currentTitle
        - currentBody
        - currentContentSha256
        - preparedAt
        - expiresAt
        - proof
        - provider
        - repo
        - branch
        - path
        - blobSha
      title: NativeCreateKeystaticPageUpdateTarget
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OwnedPageRevisionRef:
      properties:
        brandId:
          type: string
          format: uuid
          title: Brandid
        sourceKind:
          type: string
          enum:
            - owned_page_capture
            - native_create_revision
          title: Sourcekind
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        contentHash:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Contenthash
        canonicalUrl:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Canonicalurl
        evidenceRecordId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Evidencerecordid
      additionalProperties: false
      type: object
      required:
        - brandId
        - sourceKind
        - revisionId
        - contentHash
        - canonicalUrl
      title: OwnedPageRevisionRef
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````